package speiger.src.coreengine.utils.collections.registries.mutable;

import speiger.src.coreengine.assets.AssetLocation;
import speiger.src.coreengine.utils.collections.registries.simple.IRegistry;
import speiger.src.coreengine.utils.collections.registries.simple.IRegistryEntry;

public interface IMutableRegistry<T extends IRegistryEntry<T>> extends IRegistry<T>
{
	public default boolean remove(T entry){return remove(getId(entry));}
	public default boolean remove(AssetLocation name){return remove(getId(name));}
	public boolean remove(int id);
}
