package speiger.src.coreengine.utils.eventbus;

public enum EventPriority
{
	HIGH(0),
	MEDIUM(1),
	LOW(2);
	
	int priority;
	
	static final EventPriority[] PRIORITIES = new EventPriority[]{HIGH, MEDIUM, LOW};
	
	private EventPriority(int id)
	{
		priority = id;
	}
	
	public int getPriority()
	{
		return priority;
	}
	
	public static EventPriority[] getPriorities()
	{
		return PRIORITIES;
	}
}
